    var flickerSpeed : float = 0.005;
     
    while (true) {
        light.range = 6.00;
        yield WaitForSeconds (flickerSpeed);
        light.range = 5.5;
        yield WaitForSeconds (flickerSpeed);
    }
